com.ihr.xbrl.om.formula

## Interface XBRLFormulaParametersResolver

- All Known Implementing Classes:
    HashtableBasedParameterResolver, HasNothingParamemetersResolver, MultiFormulaParameterResolver

      public interface XBRLFormulaParametersResolver

  This interface must be implemented by classes providing parameters to the XBRL Formula processor.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.namespace.QName` | `getParameterDataType(javax.xml.namespace.QName name)` Returns the type name of a parameter using the parameter name.
    `net.sf.saxon.s9api.XdmAtomicValue` | `getParameterValue(javax.xml.namespace.QName name, net.sf.saxon.s9api.Processor proc, javax.xml.namespace.QName dataType)` This function returns the parameter value assigned to a parameter name indicated by the name parameter.
    `boolean` | `hasValueForParameter(javax.xml.namespace.QName name, javax.xml.namespace.QName dataType)` Returns true if this Formula Parameter Resolver has value and data type for the parameter indicated in the name parameter.

- - ### Method Detail

    - #### getParameterValue

          net.sf.saxon.s9api.XdmAtomicValue getParameterValue(javax.xml.namespace.QName name,
                                                            net.sf.saxon.s9api.Processor proc,
                                                            javax.xml.namespace.QName dataType)

      This function returns the parameter value assigned to a parameter name indicated by the name parameter.
      Parameters:
        `name` - the parameter name.
        `proc` - instance of the saxon Processor may be required for certain data types.
        `dataType` - This is the suggested data type. It may be null if not indicated in the formula linkbase.
      Returns:
        XdmAtomicValue or null if the resolver does not have a value for the parameter name.

    - #### getParameterDataType

          javax.xml.namespace.QName getParameterDataType(javax.xml.namespace.QName name)

      Returns the type name of a parameter using the parameter name.
      Parameters:
        `name` - the parameter name.
      Returns:
        a QName with the defined parameter data type or null if the resolver does not have a value for the parameter name.

    - #### hasValueForParameter

          boolean hasValueForParameter(javax.xml.namespace.QName name,
                                     javax.xml.namespace.QName dataType)

      Returns true if this Formula Parameter Resolver has value and data type for the parameter indicated in the name parameter.
      Parameters:
        `name` - the parameter name
        `dataType` - the data type
      Returns:
        boolean, true or false